# NVCoverageSample (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengles
Class NVCoverageSample

    java.lang.Object
      org.lwjgl.opengles.NVCoverageSample

    public final class NVCoverageSample

extends java.lang.Object

Field Summary
`static int` `EGL_COVERAGE_BUFFERS_NV` Accepted by the <attrib_list> parameter of eglChooseConfig and eglCreatePbufferSurface, and by the <attribute> parameter of eglGetConfigAttrib:
`static int` `EGL_COVERAGE_SAMPLES_NV` Accepted by the <attrib_list> parameter of eglChooseConfig and eglCreatePbufferSurface, and by the <attribute> parameter of eglGetConfigAttrib:
`static int` `GL_COVERAGE_ALL_FRAGMENTS_NV` Accepted by the <operation> parameter of CoverageOperationNV:
`static int` `GL_COVERAGE_ATTACHMENT_NV` Accepted by the <attachment> parameter of FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv:
`static int` `GL_COVERAGE_AUTOMATIC_NV` Accepted by the <operation> parameter of CoverageOperationNV:
`static int` `GL_COVERAGE_BUFFER_BIT_NV` Accepted by the <buf> parameter of Clear:
`static int` `GL_COVERAGE_BUFFERS_NV` Accepted by the <pname> parameter of GetIntegerv:
`static int` `GL_COVERAGE_COMPONENT_NV` Accepted by the <internalformat> parameter of RenderbufferStorageEXT and the <format> parameter of ReadPixels:
`static int` `GL_COVERAGE_COMPONENT4_NV` Accepted by the <internalformat> parameter of RenderbufferStorageEXT:
`static int` `GL_COVERAGE_EDGE_FRAGMENTS_NV` Accepted by the <operation> parameter of CoverageOperationNV:
`static int` `GL_COVERAGE_SAMPLES_NV` Accepted by the <pname> parameter of GetIntegerv:

Method Summary
`static void` `glCoverageMaskNV(boolean mask)`
`static void` `glCoverageOperationNV(int operation)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EGL_COVERAGE_BUFFERS_NV

    public static final int EGL_COVERAGE_BUFFERS_NV

  Accepted by the <attrib_list> parameter of eglChooseConfig and eglCreatePbufferSurface, and by the <attribute> parameter of eglGetConfigAttrib:

  See Also:
    Constant Field Values

### EGL_COVERAGE_SAMPLES_NV

    public static final int EGL_COVERAGE_SAMPLES_NV

  Accepted by the <attrib_list> parameter of eglChooseConfig and eglCreatePbufferSurface, and by the <attribute> parameter of eglGetConfigAttrib:

  See Also:
    Constant Field Values

### GL_COVERAGE_COMPONENT_NV

    public static final int GL_COVERAGE_COMPONENT_NV

  Accepted by the <internalformat> parameter of RenderbufferStorageEXT and the <format> parameter of ReadPixels:

  See Also:
    Constant Field Values

### GL_COVERAGE_COMPONENT4_NV

    public static final int GL_COVERAGE_COMPONENT4_NV

  Accepted by the <internalformat> parameter of RenderbufferStorageEXT:

  See Also:
    Constant Field Values

### GL_COVERAGE_ALL_FRAGMENTS_NV

    public static final int GL_COVERAGE_ALL_FRAGMENTS_NV

  Accepted by the <operation> parameter of CoverageOperationNV:

  See Also:
    Constant Field Values

### GL_COVERAGE_EDGE_FRAGMENTS_NV

    public static final int GL_COVERAGE_EDGE_FRAGMENTS_NV

  Accepted by the <operation> parameter of CoverageOperationNV:

  See Also:
    Constant Field Values

### GL_COVERAGE_AUTOMATIC_NV

    public static final int GL_COVERAGE_AUTOMATIC_NV

  Accepted by the <operation> parameter of CoverageOperationNV:

  See Also:
    Constant Field Values

### GL_COVERAGE_ATTACHMENT_NV

    public static final int GL_COVERAGE_ATTACHMENT_NV

  Accepted by the <attachment> parameter of FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv:

  See Also:
    Constant Field Values

### GL_COVERAGE_BUFFER_BIT_NV

    public static final int GL_COVERAGE_BUFFER_BIT_NV

  Accepted by the <buf> parameter of Clear:

  See Also:
    Constant Field Values

### GL_COVERAGE_BUFFERS_NV

    public static final int GL_COVERAGE_BUFFERS_NV

  Accepted by the <pname> parameter of GetIntegerv:

  See Also:
    Constant Field Values

### GL_COVERAGE_SAMPLES_NV

    public static final int GL_COVERAGE_SAMPLES_NV

  Accepted by the <pname> parameter of GetIntegerv:

  See Also:
    Constant Field Values

Method Detail

### glCoverageMaskNV

    public static void glCoverageMaskNV(boolean mask)

### glCoverageOperationNV

    public static void glCoverageOperationNV(int operation)

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.